// *********************************************************************
//  Created with bc9Basic - BASIC To C/C++ Translator (V) 9.2.0.1 (2014/11/29)
//       The bc9Basic translator (bc9.exe) was compiled with
//                           g++ (tdm64-2) 4.8.1
// ----------------------------------------------------------------------
//                 BCX (c) 1999 - 2009 by Kevin Diggins
// *********************************************************************

/* -------------------------------*/
/* Tiny C support for LinkRes2Exe */
/* -------------------------------*/
int dummy __attribute__ ((section(".rsrc")));
/* -------------------------------*/

//              Translated for compiling with a C Compiler
//                           On MS Windows
// *********************************************************************

// $HEADER BEGIN
#include <windows.h>
#include <Commctrl.h>
// $HEADER END


// *************************************************
//        User's GLOBAL ENUM blocks
// *************************************************

// *************************************************
//            System Defined Constants
// *************************************************

typedef const char* ccptr;
#define CCPTR const char*
#define cfree free
#define WAITKEY system("pause")
#define EQU ==
#define cSizeOfDefaultString 2048

// *************************************************
//            User Defined Constants
// *************************************************

#define IDD_DLG1 100
#define IDC_PREV 131
#define IDC_NEXT 132
#define IDC_FIND 133
#define IDC_ADD 134
#define IDC_SAVE 135
#define IDC_DELETE 136
#define IDC_PRINT 137
#define IDC_CLOSE 138
#define IDC_SBAR 139
#define IDM_CLOSE 200
#define IDM_ABOUT 300
#define IDC_COUNTRY 123
// *************************************************
//          User Defined Types, Unions and Classes
// *************************************************


// *************************************************
//            User Global Variables
// *************************************************

static WNDPROC lpComboProc;


// *************************************************
//               Standard Macros
// *************************************************


// *************************************************
//               User Prototypes
// *************************************************

int     WINAPI WinMain (HINSTANCE, HINSTANCE, LPSTR, int);
BOOL    CALLBACK DlgProc (HWND, UINT, WPARAM, LPARAM);
LRESULT CALLBACK ComboProc (HWND, UINT, WPARAM, LPARAM);

// *************************************************
//            User Global Initialized Arrays
// *************************************************


// *************************************************
//              User GLOBAL SET Statements
// *************************************************

const char* CountryNames[] =
{
    "United States", "Afghanistan", "Albania", "Algeria", "Andorra", "Angola", "Anguilla",
    "Antarctica", "Argentina", "Armenia", "Aruba", "Australia", "Austria",
    "Azerbaijan", "Bahamas", "Bahrain", "Bangladesh", "Barbados", "Belarus",
    "Belgium", "Belize", "Benin", "Bermuda", "Bhutan", "Bolivia", "Botswana",
    "Bouvet Island", "BosniaHerzogovina", "Brazi", "Brunei", "Bulgaria",
    "Burkina Faso", "Cambodia", "Cameroon", "Canada", "Cape Verde",
    "Cayman Islands", "Central African Rep", "Chad", "Chile", "China",
    "Christmas Island", "Colombia", "Comoros", "Congo", "Cook Islands",
    "Costa Rica", "Croatia", "Cuba", "Cyprus", "Czech Republic", "Denmark",
    "Djibouti", "Dominica", "Dominican Republic", "East Timor", "Ecuador",
    "Egypt", "El Salvador", "Equatorial Guinea", "Eritrea", "Estonia",
    "Ethiopia", "Falkland Islands", "Faroe Islands", "Fiji", "Finland",
    "France", "France Metropolitan", "French Guiana", "French Polynesia",
    "French S. Territories", "Gabon", "Gambia", "Georgia", "Germany", "Ghana",
    "Gibraltar", "Greece", "Greenland", "Grenada", "Guadeloupe", "Guam",
    "Guatemala", "Guinea", "Guinea-Bissau", "Guyana", "Haiti", "Honduras",
    "Hong Kong", "Hungary", "Iceland", "IN India", "Indonesia", "Iran", "Iraq",
    "Ireland", "Israe", "Italy", "Ivory Coast", "Jamaica", "Japan", "Jordan",
    "Kazakhstan", "Kenya", "Kiribati", "Korea (North)", "Korea (South)",
    "Kuwait", "Kyrgyzstan", "Laos", "Latvia", "Lebanon", "Lesotho", "Liberia",
    "Libya", "Liechtenstein", "Lithuania", "Luxembourg", "Macau", "Macedonia",
    "Madagascar", "Malawi", "Malaysia", "Maldives", "Mali", "Malta",
    "Marshall Islands", "Martinique", "Mauritania", "Mauritius", "Mayotte",
    "Mexico", "Micronesia", "Miquelon", "Moldova", "Monaco", "Mongolia", "Montserrat",
    "Morocco", "Mozambique", "Myanmar", "Namibia", "Nauru", "Nepa",
    "Netherlands", "Nevis", "New Caledonia", "New Guinea", "New Zealand",
    "Nicaragua", "Niger", "Nigeria", "Niue", "Norfolk Island", "Norway",
    "Oman", "Pakistan", "Palau", "Panama", "Paraguay", "Peru", "Philippines",
    "Pitcairn", "Poland", "Portuga", "Principe", "Puerto Rico", "Qatar",
    "Reunion", "Romania", "Russian Federation", "Rwanda", "Saint Kitts",
    "Saint Lucia", "Samoa", "San Marino", "Sao Tome", "Saudi Arabia", "Senega",
    "Seychelles", "Sierra Leone", "Singapore", "Slovak Republic", "Slovenia",
    "Solomon Islands", "Somalia", "South Africa", "Spain", "Sri Lanka",
    "St. Helena", "St. Pierre", "Sudan", "Suriname", "Swaziland", "Sweden",
    "Switzerland", "Syria", "Taiwan", "Tajikistan", "Tanzania", "Thailand",
    "Tobago", "Togo", "Tokelau", "Tonga", "Trinidad", "Tunisia", "Turkey",
    "Turkmenistan", "Tuvalu", "Uganda", "Ukraine", "United Arab Emirates",
    "United Kingdom", "United States", "Uruguay", "Uzbekistan", "Vanuatu",
    "Vatican City State", "Venezuela", "Viet Nam", "Virgin Islands (BR)",
    "Virgin Islands (US)", "Western Sahara", "Yemen", "Yugoslavia", "Zaire",
    "Zambia", "Zimbabwe", "Other", ""
};



// *************************************************
//                 Runtime Functions
// *************************************************


// *************************************************
//       User Subs, Functions and Class Methods
// *************************************************

int WINAPI WinMain (HINSTANCE hInst, HINSTANCE hPrev, LPSTR CmdLine, int CmdShow)
{
    DialogBoxParam(hInst, MAKEINTRESOURCE(IDD_DLG1), 0, DlgProc, 0);
    return 0;
}


BOOL CALLBACK DlgProc (HWND hWnd, UINT Msg, WPARAM wParam, LPARAM lParam)
{
    int      i = {0};
    HWND     hCmbo = {0};
    HWND     hSbar = {0};
    switch(Msg)
    {
    case WM_INITDIALOG:
        hCmbo = GetDlgItem( hWnd, IDC_COUNTRY);
        hSbar = GetDlgItem( hWnd, IDC_SBAR);
        lpComboProc = (WNDPROC)(LONG_PTR)SetWindowLongPtr( hCmbo, GWLP_WNDPROC, (LONG_PTR) ComboProc);
        i = 0;
        while(strlen(CountryNames[i]))
        {
            SendMessage(hCmbo, (UINT)CB_ADDSTRING, (WPARAM)0, (LPARAM)CountryNames[i]);
            i++;
        }

        SendMessage(hSbar, (UINT)SB_SETTEXT, (WPARAM)0, (LPARAM)" Status Bar Text");
        break;
    case WM_CLOSE:
        EndDialog(hWnd, 0);
        break;
    case WM_COMMAND:
        switch(LOWORD(wParam))
        {
        case IDC_PREV:
            MessageBox(hWnd, "Prev", "CardFile", MB_OK);
            break;
        case IDC_NEXT:
            MessageBox(hWnd, "Next", "CardFile", MB_OK);
            break;
        case IDC_FIND:
            MessageBox(hWnd, "Find", "CardFile", MB_OK);
            break;
        case IDC_ADD:
            MessageBox(hWnd, "Add", "CardFile", MB_OK);
            break;
        case IDC_SAVE:
            MessageBox(hWnd, "Save", "CardFile", MB_OK);
            break;
        case IDC_DELETE:
            MessageBox(hWnd, "Delete", "CardFile", MB_OK);
            break;
        case IDC_PRINT:
            MessageBox(hWnd, "Print", "CardFile", MB_OK);
            break;
        case IDC_CLOSE:
        case IDM_CLOSE:
            PostMessage(hWnd, WM_CLOSE, 0, 0);
            break;
        case IDM_ABOUT:
            MessageBox(hWnd, "Interface For A Small Database", "Cardfile", MB_OK);
        }
    }
    return 0;
}


LRESULT CALLBACK ComboProc (HWND hWnd, UINT Msg, WPARAM wParam, LPARAM lParam)
{
    switch(Msg)
    {
    case WM_COMMAND:
        switch(HIWORD(lParam))
        {
        case LBN_SELCHANGE:
            break;
        }
        break;
    }
    return CallWindowProc((WNDPROC)lpComboProc, hWnd, Msg, wParam, lParam);
}



