'=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*
'bc9Basic port of Steve's cardfile
'=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*
$NOMAIN
$ONEXIT "TC926_32.BAT $FILE$"

$HEADER
	#include <windows.h>
	#include <Commctrl.h>
$HEADER
'==============================================================================
CONST IDD_DLG1 = 100
CONST IDC_PREV = 131
CONST IDC_NEXT = 132
CONST IDC_FIND = 133
CONST IDC_ADD = 134
CONST IDC_SAVE = 135
CONST IDC_DELETE = 136
CONST IDC_PRINT = 137
CONST IDC_CLOSE = 138
CONST IDC_SBAR = 139
CONST IDM_CLOSE = 200
CONST IDM_ABOUT = 300
CONST IDC_COUNTRY = 123
GLOBAL As WNDPROC lpComboProc
'==============================================================================
Function WinMain()
	DialogBoxParam(hInst,MAKEINTRESOURCE(IDD_DLG1),0,DlgProc,0)
	Function = 0
End Function
'==============================================================================
DlgCallBack DlgProc()
	Local As int i
	Local As HWND hCmbo,hSbar
	_switch(CBMSG)
	BeginBlock
		_case WM_INITDIALOG
			hCmbo=GetDlgItem(CBHWND,IDC_COUNTRY)
			hSbar = GetDlgItem(CBHWND,IDC_SBAR)
			lpComboProc = SetWindowLong(hCmbo,GWL_WNDPROC,ComboProc)
			i = 0
			While Len(CountryNames[i])
				SendMessage(hCmbo,CB_ADDSTRING,0,CountryNames[i])
				i++					
			Wend
			SendMessage(hSbar,SB_SETTEXT,0," Status Bar Text")
			break
		_case WM_CLOSE
			EndDialog(CBHWND,0)
			break
		_case WM_COMMAND
			_switch(CBCTL)
			BeginBlock
				_case IDC_PREV
					MessageBox(CBHWND,"Prev","CardFile",MB_OK)
					break
				_case IDC_NEXT
					MessageBox(CBHWND,"Next","CardFile",MB_OK)
					break
				_case IDC_FIND
					MessageBox(CBHWND,"Find","CardFile",MB_OK)
					break
				_case IDC_ADD
					MessageBox(CBHWND,"Add","CardFile",MB_OK)
					break
				_case IDC_SAVE
					MessageBox(CBHWND,"Save","CardFile",MB_OK)
					break
				_case IDC_DELETE
					MessageBox(CBHWND,"Delete","CardFile",MB_OK)
					break
				_case IDC_PRINT
					MessageBox(CBHWND,"Print","CardFile",MB_OK)
					break
				_case IDC_CLOSE
				_case IDM_CLOSE
					PostMessage(CBHWND,WM_CLOSE,0,0)
					break
				_case IDM_ABOUT
					MessageBox(CBHWND,"Interface For A Small Database","Cardfile",MB_OK)	
			EndBlock		 			
	EndBlock
End Function
'==============================================================================
Function ComboProc(hWnd AS HWND, Msg AS UINT, wParam AS WPARAM,lParam AS LPARAM) As LRESULT CALLBACK
	_switch(Msg)
	BeginBlock
		_case WM_COMMAND
			_switch(HIWORD(lParam))
			BeginBlock
				_case LBN_SELCHANGE
					'nop
				break
			EndBlock
		break			
	EndBlock
	Function = CallWindowProc(lpComboProc,hWnd,Msg,wParam,lParam)
End Function
'==============================================================================
SHAREDSET CountryNames[] As const char Ptr
     "United States","Afghanistan","Albania","Algeria","Andorra","Angola","Anguilla", 
    "Antarctica","Argentina","Armenia","Aruba","Australia","Austria", 
    "Azerbaijan","Bahamas","Bahrain","Bangladesh","Barbados","Belarus",
    "Belgium","Belize","Benin","Bermuda","Bhutan","Bolivia","Botswana",
    "Bouvet Island","BosniaHerzogovina","Brazi","Brunei","Bulgaria",
    "Burkina Faso","Cambodia","Cameroon","Canada","Cape Verde",
    "Cayman Islands","Central African Rep","Chad","Chile","China",
    "Christmas Island","Colombia","Comoros","Congo","Cook Islands",
    "Costa Rica","Croatia","Cuba","Cyprus","Czech Republic","Denmark",
    "Djibouti","Dominica","Dominican Republic","East Timor","Ecuador",
    "Egypt","El Salvador","Equatorial Guinea","Eritrea","Estonia",
    "Ethiopia","Falkland Islands","Faroe Islands","Fiji","Finland",
    "France","France Metropolitan","French Guiana","French Polynesia",
    "French S. Territories","Gabon","Gambia","Georgia","Germany","Ghana",
    "Gibraltar","Greece","Greenland","Grenada","Guadeloupe","Guam",
    "Guatemala","Guinea","Guinea-Bissau","Guyana","Haiti","Honduras",
    "Hong Kong","Hungary","Iceland","IN India","Indonesia","Iran","Iraq",
    "Ireland","Israe","Italy","Ivory Coast","Jamaica","Japan","Jordan",
    "Kazakhstan","Kenya","Kiribati","Korea (North)","Korea (South)",
    "Kuwait","Kyrgyzstan","Laos","Latvia","Lebanon","Lesotho","Liberia",
    "Libya","Liechtenstein","Lithuania","Luxembourg","Macau","Macedonia",
    "Madagascar","Malawi","Malaysia","Maldives","Mali","Malta",
    "Marshall Islands","Martinique","Mauritania","Mauritius","Mayotte",
    "Mexico","Micronesia","Miquelon","Moldova","Monaco","Mongolia","Montserrat",
    "Morocco","Mozambique","Myanmar","Namibia","Nauru","Nepa",
    "Netherlands","Nevis","New Caledonia","New Guinea","New Zealand",
    "Nicaragua","Niger","Nigeria","Niue","Norfolk Island","Norway",
    "Oman","Pakistan","Palau","Panama","Paraguay","Peru","Philippines",
    "Pitcairn","Poland","Portuga","Principe","Puerto Rico","Qatar",
    "Reunion","Romania","Russian Federation","Rwanda","Saint Kitts",
    "Saint Lucia","Samoa","San Marino","Sao Tome","Saudi Arabia","Senega",
    "Seychelles","Sierra Leone","Singapore","Slovak Republic","Slovenia",
    "Solomon Islands","Somalia","South Africa","Spain","Sri Lanka",
    "St. Helena","St. Pierre","Sudan","Suriname","Swaziland","Sweden",
    "Switzerland","Syria","Taiwan","Tajikistan","Tanzania","Thailand",
    "Tobago","Togo","Tokelau","Tonga","Trinidad","Tunisia","Turkey",
    "Turkmenistan","Tuvalu","Uganda","Ukraine","United Arab Emirates",
    "United Kingdom","United States","Uruguay","Uzbekistan","Vanuatu",
    "Vatican City State","Venezuela","Viet Nam","Virgin Islands (BR)",
    "Virgin Islands (US)","Western Sahara","Yemen","Yugoslavia","Zaire",
    "Zambia","Zimbabwe","Other",""
END SET
